/*
SQLyog Enterprise - MySQL GUI v7.11 
MySQL - 5.0.37-community-nt : Database - smart_doc
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

CREATE DATABASE /*!32312 IF NOT EXISTS*/`smart_doc` /*!40100 DEFAULT CHARACTER SET utf8 */;

USE `smart_doc`;

/*Table structure for table `results` */

DROP TABLE IF EXISTS `results`;

CREATE TABLE `results` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `content` longtext,
  `author` varchar(100) default NULL,
  `summary` text,
  `url` varchar(255) default NULL,
  `path` varchar(255) default NULL,
  `contenttype` varchar(100) default NULL,
  `extension` varchar(10) default NULL,
  `filesize` bigint(20) default NULL,
  `charset` varchar(20) default NULL,
  `lastmodified` datetime default NULL,
  `title` varchar(255) default NULL,
  `originalname` varchar(100) default NULL,
  `newpath` varchar(100) default NULL,
  `newname` varchar(100) default NULL,
  `creator` varchar(255) default NULL,
  `keywords` text,
  `producer` varchar(255) default NULL,
  `subject` varchar(255) default NULL,
  `errorcode` int(11) default NULL,
  `errormessage` text,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `results` */

LOCK TABLES `results` WRITE;

UNLOCK TABLES;

/*Table structure for table `urls` */

DROP TABLE IF EXISTS `urls`;

CREATE TABLE `urls` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `url` varchar(255) NOT NULL,
  `url_login` varchar(50) default NULL,
  `url_pass` varchar(50) default NULL,
  `extra_i` int(11) default NULL,
  `extra_t` varchar(100) default NULL,
  `new_path` varchar(100) default NULL,
  `new_name` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

/*Data for the table `urls` */

LOCK TABLES `urls` WRITE;

insert  into `urls`(`id`,`url`,`url_login`,`url_pass`,`extra_i`,`extra_t`,`new_path`,`new_name`) values (1,'htt//www.google.com/','malformed url','should throw an exception',NULL,NULL,NULL,NULL),(2,'http://www.servoy-stuff.net/',NULL,NULL,222,'Extras parameters rules!',NULL,'servoystuff.html'),(3,'https://ssl.gtisgm.com/oeaq/app',NULL,NULL,NULL,NULL,NULL,NULL),(4,'http://www.eclipse.org/downloads/',NULL,NULL,NULL,NULL,'/special/','eclipse.html'),(5,'http://www.servoy.com/i',NULL,NULL,NULL,NULL,NULL,'iservoy.html'),(6,'http://djproject.sourceforge.net/ns/',NULL,NULL,NULL,NULL,NULL,NULL),(7,'ftp://64.34.145.203/welcome.txt','servoy-stuff','browsersuite',203,NULL,NULL,NULL),(8,'http://www.microsoft.com/',NULL,NULL,NULL,NULL,'/special/','ms.html'),(9,'http://localhost:8080/',NULL,NULL,0,'index page',NULL,NULL),(10,'http://www.servoy-stuff.net/downloads/beans/BrowserSuite/preview/browser_demo2.html',NULL,NULL,NULL,NULL,NULL,NULL),(11,'http://pgl.yoyo.org/http/browser-headers.php',NULL,NULL,NULL,NULL,NULL,NULL),(12,'http://www.servoy-stuff.net/downloads/plugins/PDFExtractor/report.pdf',NULL,NULL,NULL,NULL,NULL,NULL),(13,'http://securities.stanford.edu/1039/SCHW_01/2010216_r01k_0801510.html',NULL,NULL,850,'3:08-cv-01510-WHA',NULL,NULL),(14,'http://securities.stanford.edu/1039/SCHW_01/2008331_o01c_081733.pdf',NULL,NULL,NULL,NULL,NULL,NULL);

UNLOCK TABLES;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
